package com.mt.wms.empty.service;

import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.OrderParamForApms;
import com.mt.wms.empty.params.OrderInfoBasePageParam;
import com.mt.wms.empty.params.OrderInfoPersonCreateParam;
import com.mt.wms.empty.params.OrderInfoTaskDetParam;
import com.mt.wms.empty.vo.OrderInfoTaskDetVo;
import com.mt.wms.empty.vo.OrderInfoVo;

/**
 * 订单相关服务
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
public interface OrderInfoService {
    /**
     * APMS推送订单
     *
     * @param apmsPostOrderParam 订单参数
     * @return 操作结果
     */
    R apmsPostOrder(OrderParamForApms apmsPostOrderParam);

    /**
     * 查询当前订单列表
     *
     * @param orderInfoBasePageParam 查询参数
     * @return 分页结果集
     */
    R<PageVo<OrderInfoVo>> page(OrderInfoBasePageParam orderInfoBasePageParam);
    /**
     * 人工创建订单
     *
     * @param orderInfoPersonCreateParam 人工订单参数
     * @return 结果
     */
    R personCreateOrder(OrderInfoPersonCreateParam orderInfoPersonCreateParam);
    /**
     * 获取详细单条信息
     *
     * @param idParam id主键
     * @return 结果
     */
    R<OrderInfoVo> getOne(IdParam idParam);
    /**
     *
     * @param orderInfoTaskDetParam 标识卡号与订单号
     * @return 结果
     */
    R<PageVo<OrderInfoTaskDetVo>> getTaskInfo(OrderInfoTaskDetParam orderInfoTaskDetParam);
}
